Get automation run by ID
curl --request GET \
--url https://api.stardex.ai/v1/automations/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/automations/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/automations/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "bbb22222-cccc-dddd-eeee-ffffffffffff0001",
"automation_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2222",
"status": "waiting",
"attempts": 0,
"error_message": null,
"trigger_type": "candidate_status_changed",
"trigger_payload": {
"candidate_id": "345e6789-e01b-23c4-d567-890123456789",
"person_id": "456e7890-e12b-34d5-a678-901234567890",
"job_id": "456e7890-e12b-34d5-a678-901234567890",
"old_pipeline_stage_id": "123e4567-e89b-12d3-a456-426614174000",
"new_pipeline_stage_id": "123e4567-e89b-12d3-a456-426614174000",
"old_job_status_id": "234e5678-e90a-12b3-c456-789012345678",
"new_job_status_id": "234e5678-e90a-12b3-c456-789012345678",
"old_deal_status_id": "7a2e3d4c-5b6f-4071-8b8c-9d0e1f2a3b4c",
"new_deal_status_id": "7a2e3d4c-5b6f-4071-8b8c-9d0e1f2a3b4c",
"job_status_id": "234e5678-e90a-12b3-c456-789012345678",
"organization_company_id": "678e9012-e34d-56e7-f890-123456789012",
"scheduled_for": "2026-08-21T10:05:00Z"
},
"change_source": "api",
"candidate_id": "345e6789-e01b-23c4-d567-890123456789",
"person_id": "456e7890-e12b-34d5-a678-901234567890",
"job_id": "456e7890-e12b-34d5-a678-901234567890",
"deal_id": "6f1d2c3b-4a5e-4f60-9a7b-8c9d0e1f2a3b",
"started_at": "2026-08-21T10:05:00Z",
"finished_at": null,
"resume_at": "2026-08-23T10:05:01Z",
"created_at": "2026-08-21T10:05:00Z",
"updated_at": "2026-08-21T10:05:01Z",
"steps": [
{
"id": "bbb22222-cccc-dddd-eeee-ffffffffffff0002",
"position": 1,
"action_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2223",
"action_type": "send_email",
"action_config": {
"action_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2223",
"position": 1,
"action_type": "send_email",
"recipient_type": "candidate",
"team_member_id": null,
"payload": {
"subject": "Your application for {{job_name}}",
"body": "Hi {{candidate_first_name}},\n\nThank you for your time on the {{job_name}} search.\n\nBest,\n{{search_owner}}",
"sender": {
"kind": "mailbox",
"nylas_grant_id": "8b3f4e5d-6c7a-4182-9c9d-0e1f2a3b4c5d"
}
}
},
"status": "completed",
"attempt": 1,
"error_message": null,
"result": {
"code": "email_sent",
"message": "Sent to 1 of 1",
"from_email": "maya@kestrelpartners.com",
"deliveries": [
{
"to_email": "priya.raman@example.com",
"status": "sent"
}
]
},
"started_at": "2026-08-21T10:05:00Z",
"finished_at": "2026-08-21T10:05:01Z",
"created_at": "2026-08-21T10:05:00Z",
"updated_at": "2026-08-21T10:05:01Z"
},
{
"id": "bbb22222-cccc-dddd-eeee-ffffffffffff0003",
"position": 2,
"action_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2226",
"action_type": "delay",
"action_config": {
"action_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2226",
"position": 2,
"action_type": "delay",
"recipient_type": null,
"team_member_id": null,
"payload": {
"amount": 2,
"unit": "days"
}
},
"status": "waiting",
"attempt": 1,
"error_message": null,
"result": {
"code": "waiting",
"resume_at": "2026-08-23T10:05:01Z"
},
"started_at": "2026-08-21T10:05:01Z",
"finished_at": null,
"created_at": "2026-08-21T10:05:00Z",
"updated_at": "2026-08-21T10:05:01Z"
},
{
"id": "bbb22222-cccc-dddd-eeee-ffffffffffff0004",
"position": 3,
"action_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2224",
"action_type": "add_note",
"action_config": {
"action_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee2224",
"position": 3,
"action_type": "add_note",
"recipient_type": null,
"team_member_id": "567e8901-e23c-45d6-e789-012345678901",
"payload": {
"content": "Rejected by automation — review before closing the loop."
}
},
"status": "pending",
"attempt": 0,
"error_message": null,
"result": null,
"started_at": null,
"finished_at": null,
"created_at": "2026-08-21T10:05:00Z",
"updated_at": "2026-08-21T10:05:00Z"
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Automations
Get automation run by ID
Retrieve one run and its per-action steps. Only organization admins, API keys and the automation’s creator can see its runs.
GET
/
v1
/
automations
/
runs
/
{runId}
Get automation run by ID
Was this page helpful?